MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023590Community[OCCT] OCCT:Data Exchangepublic2012-11-28 12:432014-10-09 18:41
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023590: IGESCAFControl_Writer extended to accept TDF_LabelSequence
DescriptionAdded the method Transfer() accepting TDF_LabelSequence. Methods WriteAttributes(), WriteLayers(), WriteNames() now accept TDF_LabelSequences instead of TDocStd_Document.
This API makes IGESCAFControl_Writer more consistent with STEPCAFControl_Writer
and allows to export only sub-part of the XDE document (e.g. only root shapes belonging to one layer, etc).

Note: Write*() methods are protected without any likely subclasses in the user codes.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0022597closedabv IGESCAFControl_Writer extended with method Transfer() 

-  Notes
(0022401)
Roman Lygin (developer)
2012-11-28 12:48

Pushed branch CR23590 into the git repository
(0022423)
gka (developer)
2012-11-28 18:23

Branch CR23590 is ready to be tested
(0022513)
mkv (tester)
2012-12-03 14:45

Dear BugMaster,
Branch CR23590 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed
(0022639)
bugmaster (administrator)
2012-12-10 17:24

Fix has been integrated into occt repository

CR23590: IGESCAFControl_Writer extended to accept TDF_LabelSequence

src/IGESCAFControl/IGESCAFControl.cdl
src/IGESCAFControl/IGESCAFControl_Writer.cdl
src/IGESCAFControl/IGESCAFControl_Writer.cxx

- Issue History
Date Modified Username Field Change
2012-11-28 12:43 Roman Lygin New Issue
2012-11-28 12:43 Roman Lygin Assigned To => gka
2012-11-28 12:48 Roman Lygin Note Added: 0022401
2012-11-28 12:48 Roman Lygin Status new => resolved
2012-11-28 18:23 gka Note Added: 0022423
2012-11-28 18:23 gka Status resolved => reviewed
2012-11-28 19:08 mkv Assigned To gka => mkv
2012-12-03 14:45 mkv Note Added: 0022513
2012-12-03 14:46 mkv Test case number => Not needed
2012-12-03 14:46 mkv Assigned To mkv => bugmaster
2012-12-03 14:46 mkv Status reviewed => tested
2012-12-10 17:24 bugmaster Note Added: 0022639
2012-12-10 17:24 bugmaster Status tested => verified
2012-12-10 17:24 bugmaster Resolution open => fixed
2012-12-10 17:51 bugmaster Target Version => 6.6.0
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0
2014-10-09 18:41 abv Relationship added has duplicate 0022597


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker